<?php

/**
 * @package gaga lite
 */
function gaga_lite_widgets_show_widget_field($instance = '', $widget_field = '', $athm_field_value = '') {
    // Store Posts in array
    $gaga_lite_postlist[0] = array(
        'value' => 0,
        'label' => '--choose--'
    );
    $arg = array('posts_per_page' => -1);
    $gaga_lite_posts = get_posts($arg);
    foreach ($gaga_lite_posts as $gaga_lite_post) :
        $gaga_lite_postlist[$gaga_lite_post->ID] = array(
            'value' => $gaga_lite_post->ID,
            'label' => $gaga_lite_post->post_title
        );
    endforeach;

    extract($widget_field);

    switch ($gaga_lite_widgets_field_type) {

        // Standard text field
        case 'text' :
            ?>
            <p>
                <label for="<?php echo esc_attr($instance->get_field_id($gaga_lite_widgets_name)); ?>"><?php echo wp_kses_post($gaga_lite_widgets_title); ?>:</label>
                <input class="widefat" id="<?php echo esc_attr($instance->get_field_id($gaga_lite_widgets_name)); ?>" name="<?php echo esc_attr($instance->get_field_name($gaga_lite_widgets_name)); ?>" type="text" value="<?php echo esc_attr($athm_field_value); ?>" />

                <?php if (isset($gaga_lite_widgets_description)) { ?>
                    <br />
                    <small><?php echo wp_kses_post($gaga_lite_widgets_description); ?></small>
                <?php } ?>
            </p>
            <?php
            break;
    }
}

function gaga_lite_widgets_updated_field_value($widget_field, $new_field_value) {

    extract($widget_field);

    // Allow only integers in number fields
    if ($gaga_lite_widgets_field_type == 'number') {
        return absint($new_field_value);

        // Allow some tags in textareas
    } elseif ($gaga_lite_widgets_field_type == 'textarea') {
        // Check if field array specifed allowed tags
        if (!isset($gaga_lite_widgets_allowed_tags)) {
            // If not, fallback to default tags
            $gaga_lite_widgets_allowed_tags = '<p><strong><em><a>';
        }
        return strip_tags($new_field_value, $gaga_lite_widgets_allowed_tags);

        // No allowed tags for all other fields
    } elseif ($gaga_lite_widgets_field_type == 'url') {
        return esc_url_raw($new_field_value);
    } else {
        return strip_tags($new_field_value);
    }
}


